binutils-mingw-w64 (8.8) unstable; urgency=medium

  * binutils 2.34 doesn’t fully support enabling the relocation section
    by default, so disable it again, along with the rest of the PE
    protection mechanisms which don’t make sense without relocation (see
    https://www.kb.cert.org/vuls/id/307144/ for details).

 -- Stephen Kitt <skitt@debian.org>  Wed, 26 Feb 2020 17:50:17 +0100

binutils-mingw-w64 (8.7) unstable; urgency=medium

  * Build with binutils 2.34. Closes: #951892. The relocation section is
    now enabled by default.
  * Standards-Version 4.5.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 24 Feb 2020 18:12:04 +0100

binutils-mingw-w64 (8.6) unstable; urgency=medium

  * Fix FTCBFS: fix build/host confusion. Closes: #943377. Thanks to
    Helmut Grohne for the patch!

 -- Stephen Kitt <skitt@debian.org>  Thu, 24 Oct 2019 21:06:31 +0200

binutils-mingw-w64 (8.5) unstable; urgency=medium

  * Correctly disable silent rules.
  * List missing files.
  * Highlight obsolete spelling fixes.
  * Fix debian/rules comments.
  * Require binutils 2.33 to ensure we get the plugin handling fixes.
    Closes: #930978.
  * Standards-Version 4.4.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 10 Oct 2019 13:59:05 +0200

binutils-mingw-w64 (8.4) unstable; urgency=medium

  * Avoid assuming the version number structure inside the source
    tarball. This allows the build to handle binutils 2.32.51.20190707-1.

 -- Stephen Kitt <skitt@debian.org>  Tue, 09 Jul 2019 13:32:34 +0200

binutils-mingw-w64 (8.4~exp1) experimental; urgency=medium

  * Build with binutils 2.32. Closes: #925641.
  * Standards-Version 4.3.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 25 May 2019 12:15:50 +0200

binutils-mingw-w64 (8.3) unstable; urgency=medium

  * Move to the team repository on Salsa.
  * Make DLL import libraries reproducible. Closes: #915055; thanks to
    Benjamin Moody for the patch.
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.2.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 15 Dec 2018 09:25:07 +0100

binutils-mingw-w64 (8.2) unstable; urgency=medium

  * Adjust to binutils 2.30.90.20180627.
  * Link to the secure version of the homepage.
  * Fix the spelling of “debuging”.
  * Standards-Version 4.1.4, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 01 Jul 2018 23:01:31 +0200

binutils-mingw-w64 (8.1) unstable; urgency=medium

  * Enable previously disabled tests which now work.
  * Remove obsolete spelling fix.
  * Disable autoreconf: it breaks the build, and requires a number of
    unfortunate workarounds; instead of relying on that to handle
    dh_auto_configure’s use of --runstatedir, explicitly specify the
    configure incantation. Closes: #889710; thanks to Adrian Bunk and Adam
    Borowski for their investigations.
  * Migrate to Salsa.

 -- Stephen Kitt <skitt@debian.org>  Thu, 05 Apr 2018 09:22:25 +0200

binutils-mingw-w64 (8) unstable; urgency=medium

  * Switch to newer binutils and binutils-common.
  * Rely on debhelper’s dh_update_autotools_config instead of
    autotools-dev.
  * Switch to priority “optional”.
  * Use pkg-info.mk instead of dpkg-parsechangelog.
  * Add README.source explaining how patches are applied.
  * Switch to debhelper 11.
  * Standards-Version 4.1.3, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 19 Jan 2018 12:28:06 +0100

binutils-mingw-w64 (7.4) unstable; urgency=medium

  * Add missing build dependencies on rdfind and symlinks.

 -- Stephen Kitt <skitt@debian.org>  Mon, 02 Jan 2017 20:06:20 +0100

binutils-mingw-w64 (7.3) unstable; urgency=medium

  * Install program links in /usr/${triplet}/bin (Closes: #846193).
  * Ensure all duplicate executables are symlinked.
  * Build-depend on zlib1g-dev (Closes: #849916). We relied on
    binutils-source to provide this, but that's insufficient for
    bootstrapping; in any case our own debian/rules uses it so we need to
    depend on it explicitly.
  * Add more spelling fixes.

 -- Stephen Kitt <skitt@debian.org>  Mon, 02 Jan 2017 19:07:58 +0100

binutils-mingw-w64 (7.2) unstable; urgency=medium

  * Disable Launchpad package mangling.
  * Refresh patches for binutils-source 2.27.51.20161102.

 -- Stephen Kitt <skitt@debian.org>  Mon, 07 Nov 2016 12:44:49 +0100

binutils-mingw-w64 (7.1) unstable; urgency=medium

  * Only override installation for arch-specific builds (otherwise
    arch-independent builds fail...).

 -- Stephen Kitt <skitt@debian.org>  Wed, 07 Sep 2016 15:08:47 +0200

binutils-mingw-w64 (7) unstable; urgency=medium

  * Adjust patches to build with binutils-mingw-w64 2.27 (Closes:
    #835035):
    - drop pr-16598-x64-import-libraries.patch, merged upstream;
    - drop coff-pe-gc-sections.patch, gcc 6 builds correctly with
      gc-sections;
    - disable the x86-64-mpx-inval-2 test which is currently broken;
    - stop disabling obsolete or fixed tests.
  * Update licensing information.
  * Clean up debian/control with cme.
  * Standards-Version 3.9.8, no change required.
  * Switch to debhelper compatibility level 9.
  * Enable all hardening options.
  * Fix a number of spelling mistakes.
  * Use quilt to apply the patches.
  * Disable some (broken) tests which activate when gcc-mingw-w64 is
    available.
  * Enable security flags by default: dynamicbase, nxcompat and
    high-entropy-va (the latter on x64); add linker flags to disable these
    (Closes: #836365).

 -- Stephen Kitt <skitt@debian.org>  Wed, 07 Sep 2016 13:53:50 +0200

binutils-mingw-w64 (6.6) unstable; urgency=medium

  * Disable -Werror (helps with #811598).
  * Switch to https: VCS URIs (see #810378).
  * Revert support for --gc-sections in COFF and PE images (Closes:
    #813144).

 -- Stephen Kitt <skitt@debian.org>  Thu, 11 Feb 2016 13:02:45 +0100

binutils-mingw-w64 (6.5) unstable; urgency=medium

  * Adjust patches to new binutils snapshot:
    - drop enable-dlltool-t.patch, merged upstream;
    - drop initialise-dlltool-idata6.patch, merged upstream;
    - drop avoid-dlltool-segfault.patch, merged upstream;
    - drop pe-run2-cflags-to-ld.patch, merged upstream;
    - disable failing tests for known-broken features.
  * Force the build to use the system-provided shared libz.

 -- Stephen Kitt <skitt@debian.org>  Sat, 14 Nov 2015 23:13:24 +0100

binutils-mingw-w64 (6.4) unstable; urgency=medium

  * Allow building the architecture-independent packages on their own.

 -- Stephen Kitt <skitt@debian.org>  Sat, 05 Sep 2015 15:25:24 +0200

binutils-mingw-w64 (6.3) unstable; urgency=medium

  * Follow the SOURCE_DATE_EPOCH specification for --insert-timestamp (and
    ignore the optional argument; we can't drop support for that
    immediately to avoid breaking downstream users).

 -- Stephen Kitt <skitt@debian.org>  Fri, 04 Sep 2015 23:07:25 +0200

binutils-mingw-w64 (6.2) unstable; urgency=medium

  * Allow defining PE timestamps explicitly, using a timestamp as argument
    to --insert-timestamp.
  * Apply upstream fix to the PE testsuite.
  * Apply upstream fix for x64 import libraries.

 -- Stephen Kitt <skitt@debian.org>  Thu, 11 Jun 2015 07:03:03 +0200

binutils-mingw-w64 (6.1) unstable; urgency=medium

  * Ensure dlltool initialises its output's .idata$6 section; this avoids
    random data ending up there, and helps with reproducible builds...

 -- Stephen Kitt <skitt@debian.org>  Thu, 28 May 2015 23:27:21 +0200

binutils-mingw-w64 (6) unstable; urgency=medium

  * Drop the mingw32-binutils transitional package.
  * Simplify the binutils-source build-dependency to allow backports.
  * Standards-Version 3.9.6, no change required.
  * Enable deterministic archives.
  * Drop the watch file, it's not particularly useful.
  * Enable dlltool's -t option (this allows import archives to be
    reproduced).
  * Drop testsuite-64-bit.patch, the test was fixed upstream
    (differently).
  * Avoid segfaulting if the output def-file can't be opened (Closes:
    #519788).

 -- Stephen Kitt <skitt@debian.org>  Mon, 11 May 2015 23:26:24 +0200

binutils-mingw-w64 (5.2) unstable; urgency=high

  * Rebuild against binutils 2.24.90.20141023-1 or later to fix
    CVE-2014-8484, CVE-2014-8485, CVE-2014-8501, CVE-2014-8502,
    CVE-2014-8503, CVE-2014-8504, CVE-2014-8737, CVE-2014-8738 (Closes:
    #775165).

 -- Stephen Kitt <skitt@debian.org>  Mon, 12 Jan 2015 22:32:41 +0100

binutils-mingw-w64 (5.1) unstable; urgency=medium

  * Increase the testsuite timeout (the build fails on mipsel otherwise).
  * Disable the windres test on big-endian architectures.

 -- Stephen Kitt <skitt@debian.org>  Mon, 25 Aug 2014 14:18:40 -0700

binutils-mingw-w64 (5) unstable; urgency=medium

  * Run the testsuite during the build.

 -- Stephen Kitt <skitt@debian.org>  Sun, 24 Aug 2014 15:43:23 -0700

binutils-mingw-w64 (4) unstable; urgency=medium

  * Build a mingw32-binutils transition package (Closes: #756141):
    - Lintian overrides are correct (Closes: #470874);
    - windres correctly handles input charsets (Closes: #530028);
    - use autotools-dev update config.{guess,sub} (Closes: #735376),
      thanks to Logan Rosen for the patch.
  * Standards-Version 3.9.5, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 26 Jul 2014 23:25:01 +0200

binutils-mingw-w64 (3) unstable; urgency=low

  * Move linker scripts to target-specific directories to avoid
    conflicting with binutils (Closes: #712151, #712153).
  * Enable hardened builds.
  * Standards-Version 3.9.4, no further change required.
  * Drop DM-Upload-Allowed.
  * Switch to my Debian address.
  * Use canonical VCS URIs.

 -- Stephen Kitt <skitt@debian.org>  Thu, 13 Jun 2013 22:48:16 +0200

binutils-mingw-w64 (2) unstable; urgency=low

  * binutils-mingw-w64 doesn't conflict with mingw32-binutils so remove
    the relationship (helps with #662746).

 -- Stephen Kitt <steve@sk2.org>  Wed, 04 Jul 2012 22:54:01 +0200

binutils-mingw-w64 (1) unstable; urgency=low

  [ Stephen Kitt ]
  * Fix Lintian error about copyright templates.
  * Add build-arch and build-indep targets.
  * Switch to single-number versions and add the binutils-mingw-w64
    version to the resulting binary package's version.
  * Split package into 32- and 64-bit specific versions (-i686 and
    -x86-64) - see thread starting at
    http://lists.debian.org/4EBA730A.7060707@greffrath.com for rationale.

  [ Didier Raboud ]
  * Confidently setting the DMUA-flag to yes.

 -- Stephen Kitt <steve@sk2.org>  Wed, 30 Nov 2011 20:09:17 +0100

binutils-mingw-w64 (0.3) unstable; urgency=low

  * Enable LTO (Closes: #626285).
  * Require binutils-source 2.21.51.20110523 which provides fully
    working LTO plugin support for COFF targets.

 -- Stephen Kitt <steve@sk2.org>  Tue, 24 May 2011 23:44:32 +0200

binutils-mingw-w64 (0.2) unstable; urgency=low

  * Allow building on all architectures (Closes: #624545).
  * Standards-Version 3.9.2, no change required.

 -- Stephen Kitt <steve@sk2.org>  Sat, 30 Apr 2011 23:11:57 +0200

binutils-mingw-w64 (0.1) unstable; urgency=low

  * Initial release (Closes: #602996).

 -- Stephen Kitt <steve@sk2.org>  Tue, 16 Nov 2010 12:49:49 +0100
